"""EpomakerController Commands Package.

This package contains the command modules for the EpomakerController. Each module
provides specific functionalities to interact with the Epomaker keyboard, such as
sending RGB lighting commands, uploading images, and controlling various keyboard
settings.

Modules:
    - EpomakerCommand: Base class for commands.
    - EpomakerImageCommand: Commands for uploading and managing images.
    - EpomakerKeyRGBCommand: Commands for setting RGB lighting on keys.
    - EpomakerProfileCommand: Commands for managing keyboard profiles.
    - data: Contains constants and data structures used by commands.
    - reports: Classes for handling report data sent to the keyboard.
"""
